Company logoTrust Center Documentation
API v1 ReferenceIntegrationsConfluenceAuthorized assets

Update authorized Confluence assets

Only the Admin role can replace or remove assets in the resolved Confluence allowlist. Browse request parameters, authentication requirements, response…

POST
/api/v1/integrations/confluence/authorized-assets

Only the Admin role can replace or remove assets in the resolved Confluence allowlist.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/integrations/confluence/authorized-assets" \  -H "Content-Type: application/json" \  -d '{    "mode": "replace",    "assets": [      {        "id": "string"      }    ]  }'
{
  "success": true,
  "data": {
    "connectionId": "string",
    "environment": "dev",
    "integrationUrl": "/integrations",
    "assets": [
      {
        "id": "string",
        "title": "string",
        "type": "space",
        "siteId": "string",
        "parentId": "string",
        "url": "string",
        "meta": {}
      }
    ],
    "mode": "replace",
    "assetCount": 0,
    "removedCount": 0
  }
}
{
  "error": "string"
}
Empty
{
  "error": "string"
}
{
  "success": false,
  "code": "integration_required",
  "error": "string",
  "data": {
    "integrationUrl": "/integrations"
  }
}

How is this guide?